# $Revision: 1.31 $, $Date: 2007-12-28 15:19:07 $
# TODO: FHS compliance (/var/nullmailer -> /var/lib/nullmailer)
Summary:	Simple relay-only mail transport agent
Summary(pl.UTF-8):	Prosty, wyłącznie przekazujący MTA
Name:		nullmailer
Version:	1.04
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://untroubled.org/nullmailer/%{name}-%{version}.tar.gz
# Source0-md5:	f4d7a0dc8694be909644f68f1ebb5394
Source1:	%{name}.init
Patch0:		%{name}-FHS.patch
URL:		http://untroubled.org/nullmailer/
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.202
Requires:	rc-scripts
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Provides:	group(nullmail)
Provides:	smtpdaemon
Provides:	user(nullmail)
Obsoletes:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nullmailer is a mail transport agent designed to only relay all its
messages through a fixed set of "upstream" hosts. It is also designed
to be secure.

%description -l pl.UTF-8
Nullmailer to MTA przeznaczony tylko do przekazywania wszystkich
wiadomości do ustalonej listy "nadrzędnych" serwerów. Został
zaprojektowany także z myślą o bezpieczeństwie.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s ../sbin/sendmail $RPM_BUILD_ROOT%{_libdir}/sendmail

install %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/nullmailer
:>$RPM_BUILD_ROOT%{_sysconfdir}/nullmailer/me
:>$RPM_BUILD_ROOT%{_sysconfdir}/nullmailer/defaultdomain
:>$RPM_BUILD_ROOT%{_sysconfdir}/nullmailer/remotes


%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 62 nullmail
%useradd -u 62 -d /var/spool/nullmailer -s /bin/false -c "NullMailer User" -g nullmail nullmail

%post
if [ ! -s %{_sysconfdir}/nullmailer/me ]; then
	/bin/hostname --fqdn >%{_sysconfdir}/nullmailer/me
fi
if [ ! -s %{_sysconfdir}/nullmailer/defaultdomain ]; then
	/bin/hostname --domain >%{_sysconfdir}/nullmailer/defaultdomain
fi
/sbin/chkconfig --add nullmailer
if [ -f /var/lock/subsys/nullmailer ]; then
	/etc/rc.d/init.d/nullmailer restart >&2
else
	echo "Run \"/etc/rc.d/init.d/nullmailer start\" to start nullmailer daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/nullmailer ]; then
		/etc/rc.d/init.d/nullmailer stop >&2
	fi
	/sbin/chkconfig --del nullmailer
fi

%postun
if [ "$1" = 0 ]; then
	%userremove nullmail
	%groupremove nullmail
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO YEAR2000
%attr(754,root,root) /etc/rc.d/init.d/nullmailer
%dir %{_sysconfdir}/nullmailer
%ghost %{_sysconfdir}/nullmailer/defaultdomain
%ghost %{_sysconfdir}/nullmailer/me
%ghost %{_sysconfdir}/nullmailer/remotes
%attr(4755,nullmail,nullmail) %{_bindir}/mailq
%attr(755,root,root) %{_bindir}/nullmailer-inject
%{_libdir}/sendmail
%dir %{_libdir}/nullmailer
%attr(755,root,root) %{_libdir}/nullmailer/qmqp
%attr(755,root,root) %{_libdir}/nullmailer/smtp
%attr(4755,nullmail,nullmail) %{_sbindir}/nullmailer-queue
%attr(755,root,root) %{_sbindir}/nullmailer-send
%attr(755,root,root) %{_sbindir}/sendmail
%attr(740,nullmail,root) /var/spool/nullmailer
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nullmailer.spec,v $
Revision 1.31  2007-12-28 15:19:07  zbyniu
- up to 1.04

Revision 1.30  2007-08-06 10:07:04  patrys
- drop mutual obsoletes
- rel up

Revision 1.29  2007/08/05 01:01:46  wrobell
- ver. 1.03

Revision 1.28  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.26  2006/01/19 00:13:12  baggins
- rel 2
- fixed chkconfig priorities

Revision 1.25  2006/01/18 17:35:19  baggins
- s/prereq/requires/

Revision 1.24  2006/01/18 14:46:27  baggins
- release 1
- cleanups

Revision 1.23  2006/01/18 14:26:23  baggins
- rel 0.2

Revision 1.22  2006/01/18 14:26:07  baggins
- use initlog -m mail for logging
- separate log dir os not needed

Revision 1.21  2006/01/18 13:00:30  baggins
- on second thought var/log/nullmailer is a directory

Revision 1.19  2006/01/18 12:47:50  baggins
- up to 1.02
- better %post script

Revision 1.18  2006/01/18 12:41:50  baggins
- FHS compliance
- init script

Revision 1.17  2005/05/16 20:30:14  zbyniu
- up to 1.00; BR: libstdc++-devel

Revision 1.16  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.15  2004/10/13 23:21:19  ankry
- %%userremove/%%groupremove support, standardized

Revision 1.14  2004/02/25 21:45:11  blues
- obsoletes ssmtp

Revision 1.13  2004/02/25 16:22:27  andree
- obsoletes courier

Revision 1.12  2003/08/22 15:44:05  ankry
- cosmetics: spaces -> tabs

Revision 1.11  2003/08/18 08:08:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/08/15 12:38:43  hunter
- correct queuedir permisions.

Revision 1.9  2003/06/21 07:00:32  blues
- many small fixes, mostly in URLs and mostly by kloczek

Revision 1.8  2003/06/17 12:31:32  ankry
- RC7

Revision 1.6  2003/05/28 13:00:00  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:51:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/12/13 22:50:07  ankry
- adapterized

Revision 1.3  2002/07/15 22:14:03  qboosh
- pl description, cosmetics; TODO: FHS compliance

Revision 1.2  2002/07/09 21:50:56  undefine
- updated source url

Revision 1.1  2002/07/09 21:45:03  undefine
- initial pld version(nfy)
